Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomText Class Reference
[XML module]

The TQDomText class represents text data in the parsed XML document. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

Inherits TQDomCharacterData.

Inherited by TQDomCDATASection.

List of all member functions.

## Public Members

- TQDomText ()
- TQDomText ( const TQDomText & x )
- TQDomText & operator= ( const TQDomText & x )
- ~TQDomText ()
- TQDomText splitText ( int offset )
- virtual TQDomNode::NodeType nodeType () const
- virtual bool isText () const

## Detailed Description

The TQDomText class represents text data in the parsed XML document.

You can split the text in a TQDomText object over two TQDomText objecs with splitText().

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the TQDomDocument documentation.

See also XML.

## Member Function Documentation

### TQDomText::TQDomText ()

Constructs an empty TQDomText object.

To construct a TQDomText with content, use TQDomDocument::createTextNode().

### TQDomText::TQDomText ( const TQDomText & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomText::~TQDomText ()

Destroys the object and frees its resources.

### bool TQDomText::isText () const`[virtual]`

Returns TRUE.

Reimplemented from TQDomNode.

### TQDomNode::NodeType TQDomText::nodeType () const`[virtual]`

Returns TextNode.

Reimplemented from TQDomCharacterData.

Reimplemented in TQDomCDATASection.

### TQDomText & TQDomText::operator= ( const TQDomText & x )

Assigns x to this DOM text.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### TQDomText TQDomText::splitText ( int offset )

Splits this DOM text object into two TQDomText objects. This object keeps its first offset characters and the second (newly created) object is inserted into the document tree after this object with the remaining characters.

The function returns the newly created object.

See also TQDomNode::normalize().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.